<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/common_bkg"
    android:orientation="vertical">

    <include layout="@layout/include_device_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="@dimen/dp_150"
                android:layout_height="@dimen/dp_150"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_stroke_layout_gray_circle_7"
                android:gravity="center">

                <CheckBox
                    android:id="@+id/turnOffRadioButton"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/selector_single_strip_turn_off"
                    android:button="@null"
                    android:gravity="center" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="@dimen/dp_10">

                <LinearLayout
                    android:id="@+id/importWaterLayout"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/workStateView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/unknown"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:text="工作状态"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_14" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/workingTimeView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="0'"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:text="清扫时间"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_14" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/batteryValueView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/unknown"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:text="剩余电量"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_14" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingVertical="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_10"
                    android:text="模式"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_14" />

                <RadioGroup
                    android:id="@+id/modeRadioGroup"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/autoRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_robot_auto"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="自动清扫"
                        android:textSize="@dimen/sp_14" />

                    <RadioButton
                        android:id="@+id/pointRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_robot_point"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="定点清扫"
                        android:textSize="@dimen/sp_14" />

                    <RadioButton
                        android:id="@+id/edgeRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_robot_edge"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="沿边打扫"
                        android:textSize="@dimen/sp_14" />

                    <RadioButton
                        android:id="@+id/rechargeRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_robot_recharge"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="自动回充"
                        android:textSize="@dimen/sp_14" />

                    <RadioButton
                        android:id="@+id/cycleRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_robot_cycle"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="寻回"
                        android:textSize="@dimen/sp_14" />
                </RadioGroup>
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/timeConfigLayout"
                android:layout_width="match_parent"
                android:layout_height="@dimen/titleViewHeight"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:paddingHorizontal="@dimen/dp_10">

                <TextView
                    style="@style/controllerTextViewStyle"
                    android:text="定时" />

                <!--1h、2h、4h、8h、取消-->
                <ImageView style="@style/rightImageStyle" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/cleanRecordLayout"
                android:layout_width="match_parent"
                android:layout_height="@dimen/titleViewHeight"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:paddingHorizontal="@dimen/dp_10">

                <TextView
                    style="@style/controllerTextViewStyle"
                    android:text="清扫记录" />

                <!--1h、2h、4h、8h、取消-->
                <ImageView style="@style/rightImageStyle" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/settingsLayout"
                android:layout_width="match_parent"
                android:layout_height="@dimen/titleViewHeight"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginBottom="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:paddingHorizontal="@dimen/dp_10">

                <TextView
                    style="@style/controllerTextViewStyle"
                    android:text="设置" />

                <ImageView style="@style/rightImageStyle" />
            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>